## ros-noetic-cob-generic-can 0.7.14

=== debian/changelog ===
ros-noetic-cob-generic-can (0.7.14-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.13-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-generic-can (0.7.12-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.11-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.10-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.9-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.8-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-generic-can (0.7.7-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-generic-can (0.7.6-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-generic-can (0.7.5-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-generic-can (0.7.4-1buster) buster; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-noetic-cob-generic-can (0.7.3-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.2-1buster) buster; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.1-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-generic-can (0.7.0-1buster) buster; urgency=high

  * Merge pull request #380 <https://github.com/ipa320/cob_driver/issues/380> from ipa-jba/fix/boost_shared_ptr
    [Melodic] combined melodify pr
  * use all the pointer names I could find
  * replace boost in cob_generic_can
  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.15-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.14-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.13-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-generic-can (0.6.12-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.11-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-generic-can (0.6.10-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.9-1buster) buster; urgency=high

  * SocketCAN support (#269 <https://github.com/ipa320/cob_driver/issues/269>)
    * SocketCAN finished implementaiton.
    * Licence update and formating.
    * Run socketcan_interface in the new thread.
    * Removed cmake_modules for boost.
    * Thread initialisation moved to front and added sleep to let enough time to start the thread since this caused problems in some cases (on some computers).
    * Using ThreadedSocketCANInterface.
    * BufferedReader working
    * Updated dependecies and removed initCAN() function.
    * Clean SocketCAN implementation and set Timeout to correct unit (MicroSeconds)
  * manually fix changelog
  * Contributors: Denis Štogl, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.8-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.7-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.6-1buster) buster; urgency=high

  * Update accorting to comments from ipa-fxm
  * Correction of include and name
  * Correct interface.
  * compiles...
  * Starting with SocketCAN
  * Contributors: Denis Štogl

 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.5-1buster) buster; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-cob-generic-can (0.6.4-1buster) buster; urgency=high

  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000


